curl --request GET \
--url https://api.zapier.com/actions/v1/stored-actions/{stored_action_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "stored_action",
"id": "01932123-02ea-01fc-3fbd-4d66d944064d",
"connection_id": "019320ab-0000-7000-8000-abcdef012345",
"selected_api": "SplitwiseCLIAPI@1.0.0",
"action_key": "new_contact",
"action_type": "read",
"inputs": {
"first_name": "John",
"last_name": "Doe"
}
}{
"errors": [
{
"status": 400,
"code": "bad_request",
"title": "Bad Request",
"detail": "Improperly formatted or incompleted request",
"source": null,
"meta": {}
}
]
}{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}{
"errors": [
{
"status": 404,
"code": "not_found",
"title": "Resource not found.",
"detail": "Here's a more readable explanation of what happened.",
"source": {
"pointer": "/path/to/field"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}{
"errors": [
{
"status": 503,
"code": "service_unavaiable",
"detail": "Service is temporarily unavailable"
}
]
}Get a stored action
Stored Actions endpoints handle the creation, execution, updates, and deletions of single created actions.
Authorizations
OAuth 2.0 authentication.
Path Parameters
Response
Success: Includes data for the requested Stored Action.
The shape of a payload representing a stored action record.
The UUID id that identifies this stored action and can be used to execute the stored procedure by calling the POST /stored-actions/{stored_action_id}/run endpoint.
UUID identifying the connection to use when executing a Stored Action.
Something like SlackAPI (for Python apps) or SplitwiseCLIAPI@1.0.0 (for CLI apps). Non-public apps are fine as long as the authed user can access them. If a version is included we attempt to use that version of the integration. If no version is provided we attempt to use the latest version of the integration
Name of the action in the integration. Such as new_contact.
Specifies the type of action in the integration since some integrations could have similarly named actions with different actions types
read- Readread_bulk- Read Bulkwrite- Writerun- Runsearch- Searchsearch_or_write- Search Or Writesearch_and_write- Search And Writefilter- Filtertool- Tool
read, read_bulk, write, run, search, search_or_write, search_and_write, filter, tool Key/value pairs that the action needs to execute. In the example of SlackAPI this could be something like {"channel": "ABC", "text": "my message"}
Specifies the resource type, as required by the JSON:API specification.
Was this page helpful?